//
//  AppDelegate.swift
//  1Weather
//
//  Created by Dmitry Stepanets on 12.11.2020.
//

import UIKit
import CoreLocation

@main
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?
    
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {        
        ThemeManager.refreshAppearance()

        self.window = UIWindow(frame: UIScreen.main.bounds)
        let appCoordinator = AppCoordinator(window: self.window!)
        appCoordinator.start()
        
        return true
    }
}

